flags.h File Reference

A template class for handling bitwise combinations of enum flags. More...

## Classes

class | regina::Flags< T >
| A class representing a bitwise combination of flags defined by an enumeration type. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

A template class for handling bitwise combinations of enum flags.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).